package ru.ulstu.indicator.model;

import jakarta.persistence.Entity;
import jakarta.validation.constraints.NotBlank;
import ru.ulstu.model.BaseEntity;

@Entity
public class Indicator extends BaseEntity {

    @NotBlank
    private String name;

    public Indicator() {
    }

    public Indicator(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
